Subject: Re: [Gen-art] Gen-ART LC review of draft-ietf-bfd-mpls-05.txt

From: Rahul Aggarwal <[email-masked]>
Date: Mon, 5 May 2008 09:31:56 -0700 (PDT)

Hi Brian,

On Thu, 1 May 2008, Brian E Carpenter wrote:

> Hi Rahul, thanks.
>
> But I'm about to file an erratum against RFC 4291.
> 0:0:0:0:0:FFFF:127/104 is definitely ambiguous notation.
> 127 could be decimal or hexadecimal
>
> 0:0:0:0:0:FFFF:127.0.0.0/104 or 0:0:0:0:0:FFFF:7F/104
> would be unambiguous. I think the second one is cleaner.
>

We will go for the second one. Thanks again.

rahul

> Regards
>    Brian Carpenter
>    University of Auckland
>
> P.S. The Brian Carpenter who said 'no objection' to this
> in the IESG ballot on draft-ietf-mpls-lsp-ping must have
> been someone else ;-)
>
> On 2008-05-01 11:35, Rahul Aggarwal wrote:
> > Hi Brian,
> >
> > Thanks for the comments. Please see below prefixed by <RA>:
> >
> > 1. 6. Session Establishment
> >
> >    A BFD session is boot-strapped using LSP-Ping. This specification
> >    describes procedures only for BFD asynchronous mode.
> >
> > Should you state explicitly that BFD Demand mode MUST NOT be used?
> >
> > <RA> I will spell out that BFD demand mode is out of scope.
> >
> > 7. Encapsulation
> >
> >    ...
> >
> >    The BFD control packet sent by the ingress LSR MUST be a UDP packet
> >    with a well known destination port 3784 [BFD-IP] and a source port
> >    assigned by the sender as per the procedures in [BFD-IP]. The source
> >    IP address is a routable address of the sender. The destination IP
> >    address is randomly chosen from the 127/8 range,
> >
> > This is written in IPv4 terms. What happens in an IPv6-only environment?
> > There is no range of loopback addresses to borrow in IPv6, but you could
> > use a ULA prefix.
> >
> > <RA> The procedures of RFC 4379 need to be used which is
> > basically a destination IPv6 address from the range
> > 0:0:0:0:0:FFFF:127/104. I will spell this out. Thanks for the catch.
> >
> > Will fix the idnits.
> >
> > Thanks,
> > rahul
> >
> >
> >
> > On Thu, 1 May 2008, Brian E Carpenter wrote:
> >
> >>
> >>
> >>
> >>
> >
>
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art